com.dlsc.flexgantt.swing.timeline

## Enum Dateline.ZoomStrategy

- java.lang.Object
- - java.lang.Enum<Dateline.ZoomStrategy>
  - - com.dlsc.flexgantt.swing.timeline.Dateline.ZoomStrategy

- All Implemented Interfaces:
    Serializable, Comparable<Dateline.ZoomStrategy>
  Enclosing class:
    Dateline

      public static enum Dateline.ZoomStrategy
      extends Enum<Dateline.ZoomStrategy>

  The zoom strategy defines how the zoom operation will be performed. It can zoom into the center, hence changing the start and the end time of the currently visible time span or it can simply change the end time.
  Since:
    1.0
  See Also:
    `Dateline.setZoomStrategy(ZoomStrategy)`, `Dateline.getZoomStrategy()`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CHANGE_VISIBLE_END_TIME` Enumerator used to let the dateline know that zoom operations shall only modify the end time of the currently visible time span.
    `CHANGE_VISIBLE_START_AND_END_TIME` Enumerator used to let the dateline know that zoom operations shall modify the start and the end time of the currently visible time span.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Dateline.ZoomStrategy` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Dateline.ZoomStrategy[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CHANGE_VISIBLE_END_TIME

          public static final Dateline.ZoomStrategy CHANGE_VISIBLE_END_TIME

      Enumerator used to let the dateline know that zoom operations shall only modify the end time of the currently visible time span. This will cause the visual appearance that the right hand side of the layer container gets stretched or shrunk.
      Since:
        1.0
      See Also:
        `Dateline.setZoomStrategy(ZoomStrategy)`

    - #### CHANGE_VISIBLE_START_AND_END_TIME

          public static final Dateline.ZoomStrategy CHANGE_VISIBLE_START_AND_END_TIME

      Enumerator used to let the dateline know that zoom operations shall modify the start and the end time of the currently visible time span. This will cause the visual appearance that the center of the layer container gets stretched out to the sides or vice versa.
      Since:
        1.0
      See Also:
        `Dateline.setZoomStrategy(ZoomStrategy)`

  - ### Method Detail

    - #### values

          public static Dateline.ZoomStrategy[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Dateline.ZoomStrategy c : Dateline.ZoomStrategy.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Dateline.ZoomStrategy valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.